Skip to main content
POST
/
jobs
/
cancel
Cancel multiple jobs
curl --request POST \
  --url https://api.nexrender.com/api/v2/jobs/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobs": [
    "<string>"
  ]
}
'
[
  {
    "id": "<string>",
    "templateId": "<string>",
    "status": "<string>",
    "progress": 123,
    "stats": {
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "startedAt": "2023-11-07T05:31:56Z",
      "finishedAt": "2023-11-07T05:31:56Z",
      "errorAt": "2023-11-07T05:31:56Z",
      "totalAssets": 123,
      "renderDuration": 123,
      "error": "<string>"
    },
    "outputUrl": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication using API tokens for team-based access control.

You can generate your own API token at: https://app.nexrender.com/team/settings

Body

application/json

Request payload for cancelling one or more jobs by ID.

jobs
string[]
required

List of job IDs to cancel. Each explicitly requested job must be in a cancellable state.

Required array length: 1 - 1000 elements

Unique job identifier in ULID format

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Response

Successfully cancelled the requested job set and any related jobs that were also cancellable.

id
string

Unique job identifier used for tracking and API operations

templateId
string | null

Reference to the template used for this job (null if template was not used)

status
string

Current job status (queued, render:dorender, finished, error, etc.). Manually cancelled jobs are normalized to manually_cancelled in v2 responses even though they are stored internally as error.

progress
number<float>

Render progress as a percentage (0.0 to 100.0)

stats
object

Detailed timing and metadata statistics for the job

outputUrl
string | null

URL to the rendered content